# SPDX-License-Identifier: Unlicense
# Autogenerated File! Do not edit.

set(SOURCES
mp_2expt.c
mp_abs.c
mp_add.c
mp_add_d.c
mp_addmod.c
mp_and.c
mp_clamp.c
mp_clear.c
mp_clear_multi.c
mp_cmp.c
mp_cmp_d.c
mp_cmp_mag.c
mp_cnt_lsb.c
mp_complement.c
mp_copy.c
mp_count_bits.c
mp_cutoffs.c
mp_div.c
mp_div_2.c
mp_div_2d.c
mp_div_d.c
mp_dr_is_modulus.c
mp_dr_reduce.c
mp_dr_setup.c
mp_error_to_string.c
mp_exch.c
mp_expt_n.c
mp_exptmod.c
mp_exteuclid.c
mp_fread.c
mp_from_sbin.c
mp_from_ubin.c
mp_fwrite.c
mp_gcd.c
mp_get_double.c
mp_get_i32.c
mp_get_i64.c
mp_get_l.c
mp_get_mag_u32.c
mp_get_mag_u64.c
mp_get_mag_ul.c
mp_grow.c
mp_hash.c
mp_init.c
mp_init_copy.c
mp_init_i32.c
mp_init_i64.c
mp_init_l.c
mp_init_multi.c
mp_init_set.c
mp_init_size.c
mp_init_u32.c
mp_init_u64.c
mp_init_ul.c
mp_invmod.c
mp_is_square.c
mp_kronecker.c
mp_lcm.c
mp_log.c
mp_log_n.c
mp_lshd.c
mp_mod.c
mp_mod_2d.c
mp_montgomery_calc_normalization.c
mp_montgomery_reduce.c
mp_montgomery_setup.c
mp_mul.c
mp_mul_2.c
mp_mul_2d.c
mp_mul_d.c
mp_mulmod.c
mp_neg.c
mp_or.c
mp_pack.c
mp_pack_count.c
mp_prime_fermat.c
mp_prime_frobenius_underwood.c
mp_prime_is_prime.c
mp_prime_miller_rabin.c
mp_prime_next_prime.c
mp_prime_rabin_miller_trials.c
mp_prime_rand.c
mp_prime_strong_lucas_selfridge.c
mp_radix_size.c
mp_radix_size_overestimate.c
mp_rand.c
mp_rand_source.c
mp_read_radix.c
mp_reduce.c
mp_reduce_2k.c
mp_reduce_2k_l.c
mp_reduce_2k_setup.c
mp_reduce_2k_setup_l.c
mp_reduce_is_2k.c
mp_reduce_is_2k_l.c
mp_reduce_setup.c
mp_root_n.c
mp_rshd.c
mp_sbin_size.c
mp_set.c
mp_set_double.c
mp_set_i32.c
mp_set_i64.c
mp_set_l.c
mp_set_u32.c
mp_set_u64.c
mp_set_ul.c
mp_shrink.c
mp_signed_rsh.c
mp_sqrmod.c
mp_sqrt.c
mp_sqrtmod_prime.c
mp_sub.c
mp_sub_d.c
mp_submod.c
mp_to_radix.c
mp_to_sbin.c
mp_to_ubin.c
mp_ubin_size.c
mp_unpack.c
mp_warray_free.c
mp_xor.c
mp_zero.c
s_mp_add.c
s_mp_copy_digs.c
s_mp_div_3.c
s_mp_div_recursive.c
s_mp_div_school.c
s_mp_div_small.c
s_mp_exptmod.c
s_mp_exptmod_fast.c
s_mp_fp_log.c
s_mp_fp_log_d.c
s_mp_get_bit.c
s_mp_invmod.c
s_mp_invmod_odd.c
s_mp_log_2expt.c
s_mp_montgomery_reduce_comba.c
s_mp_mul.c
s_mp_mul_balance.c
s_mp_mul_comba.c
s_mp_mul_high.c
s_mp_mul_high_comba.c
s_mp_mul_karatsuba.c
s_mp_mul_toom.c
s_mp_prime_is_divisible.c
s_mp_prime_tab.c
s_mp_radix_map.c
s_mp_radix_size_overestimate.c
s_mp_rand_platform.c
s_mp_rand_source.c
s_mp_sqr.c
s_mp_sqr_comba.c
s_mp_sqr_karatsuba.c
s_mp_sqr_toom.c
s_mp_sub.c
s_mp_warray.c
s_mp_warray_get.c
s_mp_warray_put.c
s_mp_zero_buf.c
s_mp_zero_digs.c
)

set(HEADERS
tommath.h
tommath_c89.h
tommath_class.h
tommath_cutoffs.h
tommath_private.h
tommath_superclass.h
)
